### Prompt ###
organization="$(echo $HOSTNAME | rev | cut -f 2 -d '.' | rev)"
PS1='\[\033[00;31m\][ \[\033[01;32m\]\u\[\033[00;31m\]@\H:${SHELL} {\[\033[m\]$? \[\033[00;36m\]\D{%F-%R} \[\033[00;35m\]\w\[\033[00;31m\]\[\033[00;31m\]\[\033[00;33m\]$(git_prompt_var)\[\033[00;31m\]} ]\n|\[\033[m\]> '
PS2='> '
PS3='> '
PS4='+ '
case ${TERM} in
    screen|xterm*|rxvt*|Eterm|aterm|kterm|gnome*)
        PROMPT_COMMAND='echo -en "\033]0;'${organization^^}'/'${HOSTNAME%%.*}'\a"'
        ;;
esac

# Terminal settings
export TERM=xterm-256color
alias weechat="TERM=screen weechat"

# Disable bracketed paste mode
printf "\e[?2004l"

# systemctl --user
export XDG_RUNTIME_DIR=/run/user/$UID
