# Three start conditions:
# * Interactive shell
# * Weechat is installed
# * User doesn't have a running weechat process
# * User isn't root
# * User is in the weechat group
if [[ $- == *i* ]] && [ -f `which weechat` ] && [ `ps -u $USER | grep -c weechat` -eq 0 ] && [ $USER != 'root' ] && [[ "$(id)" =~ weechat ]]; then
    weechat;
fi
