### Ansible ###
source /etc/profile.d/shadowarch-shell-environment.sh
export ANSIBLE_VAULT_PASSWORD_FILE=$HOME/password-store/${organization}.vault.password
export ANSIBLE_VAULT_FILE=$HOME/password-store/${organization}.vault
alias ansible="/usr/bin/ansible -e @${ANSIBLE_VAULT_FILE}"
alias ansible-playbook="/usr/bin/ansible-playbook -e @${ANSIBLE_VAULT_FILE}"
alias vault="/usr/bin/ansible-vault edit ${ANSIBLE_VAULT_FILE}"
